curl --request PUT \
--url https://api.fabric.inc/v3/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collections": [
{
"id": "88184766610c0e32a86d8757",
"name": "Color",
"isLocalizable": true,
"localizedProperties": {
"en-US": {
"name": "Color"
},
"en-IN": {
"name": "Colour"
}
},
"attributes": [
{
"id": "78184766610c0e32a86d8757",
"value": "blue"
}
],
"categoryIdsIncluded": [
"64184766610c0e32a86d8758",
"917329dfd5288b0011332300"
],
"categoryIdsExcluded": [
"66184766610c0e32a86d8722",
"41184766610c0e32a86d8778"
],
"isActive": true,
"productAttributeFilters": [
{
"attributeId": "53184766610c0e32a86d875",
"condition": "EQUALS",
"value": 2
}
]
}
]
}
'import requests
url = "https://api.fabric.inc/v3/collections"
payload = { "collections": [
{
"id": "88184766610c0e32a86d8757",
"name": "Color",
"isLocalizable": True,
"localizedProperties": {
"en-US": { "name": "Color" },
"en-IN": { "name": "Colour" }
},
"attributes": [
{
"id": "78184766610c0e32a86d8757",
"value": "blue"
}
],
"categoryIdsIncluded": ["64184766610c0e32a86d8758", "917329dfd5288b0011332300"],
"categoryIdsExcluded": ["66184766610c0e32a86d8722", "41184766610c0e32a86d8778"],
"isActive": True,
"productAttributeFilters": [
{
"attributeId": "53184766610c0e32a86d875",
"condition": "EQUALS",
"value": 2
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
collections: [
{
id: '88184766610c0e32a86d8757',
name: 'Color',
isLocalizable: true,
localizedProperties: {'en-US': {name: 'Color'}, 'en-IN': {name: 'Colour'}},
attributes: [{id: '78184766610c0e32a86d8757', value: 'blue'}],
categoryIdsIncluded: ['64184766610c0e32a86d8758', '917329dfd5288b0011332300'],
categoryIdsExcluded: ['66184766610c0e32a86d8722', '41184766610c0e32a86d8778'],
isActive: true,
productAttributeFilters: [{attributeId: '53184766610c0e32a86d875', condition: 'EQUALS', value: 2}]
}
]
})
};
fetch('https://api.fabric.inc/v3/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"success": [
{
"id": "53184766610c0e32a86d875",
"name": "Color"
}
],
"errors": [
{
"id": "53184766610c0e32a86d875",
"name": "Color",
"message": [
"Error while updating attribute: 55184766610c0e32a86d8759"
]
}
]
}
]
}{
"message": "Request was invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request"
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "NOT_FOUND",
"message": "Resource not found"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "The payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Update Collections Up to 25
With this endpoint, you can update up to 25 collections. You can also update collection details, such as add sub-collections, exclude sub-collections, add validation rules for attributes, or reorder collections. Note:
1. This endpoint replaces the existing details.
2. To avoid losing all details, for minor updates, use the partially update collection endpoint - PATCH /collections/{id}
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Body
Details to update collection
Bulk Collection creation
Show child attributes
Show child attributes
Response
OK
Bulk create response
Show child attributes
Show child attributes
Was this page helpful?
